"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.positionsRouter = void 0;
const express_1 = require("express");
const position_record_1 = require("../records/position.record");
exports.positionsRouter = (0, express_1.Router)();
exports.positionsRouter
    .get('/:userId', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const data = yield position_record_1.PositionRecord.getAll(req.params.userId);
    res.json(data);
}))
    .post('/', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const position = new position_record_1.PositionRecord(req.body);
    yield position.insert();
    res.json('Pozycja została pomyślnie dodana');
}))
    .delete('/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const position = yield position_record_1.PositionRecord.getOne(req.params.id);
    yield position.delete();
    res.json('Pozycja została usunięta.');
}))
    .patch('/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const position = yield position_record_1.PositionRecord.getOne(req.params.id);
    yield position.update(req.body);
    res.json('Pozycja została zaktualizowana');
}))
    .put('/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const position = yield position_record_1.PositionRecord.getOne(req.params.id);
    const { imgLink, when } = req.body;
    position.updateUrl(imgLink, 'add', when);
    res.end();
}))
    .delete('/image/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const position = yield position_record_1.PositionRecord.getOne(req.params.id);
    const { imgLink, when } = req.body;
    position.updateUrl(imgLink, 'remove', when);
    res.end();
}));
//# sourceMappingURL=position.router.js.map