"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.authLogin = void 0;
const bcrypt_1 = require("bcrypt");
const user_record_1 = require("../records/user.record");
const errors_1 = require("./errors");
const authLogin = (email, pwd) => __awaiter(void 0, void 0, void 0, function* () {
    const user = yield user_record_1.UserRecord.getUserByEmail(email);
    if (!user || !(yield (0, bcrypt_1.compare)(pwd, user.pwd))) {
        throw new errors_1.ValidationError('Nieprawidłowy adres email lub hasło');
    }
    return user;
});
exports.authLogin = authLogin;
//# sourceMappingURL=authLogin.js.map