"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isUsernameTaken = exports.isEmailTaken = void 0;
const db_1 = require("./db");
const isEmailTaken = (email) => __awaiter(void 0, void 0, void 0, function* () {
    const [rows] = (yield db_1.pool.execute("SELECT COUNT(*) AS count FROM `users` WHERE `email` = :email", {
        email,
    }));
    return rows[0].count > 0;
});
exports.isEmailTaken = isEmailTaken;
const isUsernameTaken = (username) => __awaiter(void 0, void 0, void 0, function* () {
    const [rows] = (yield db_1.pool.execute("SELECT COUNT(*) AS count FROM `users` WHERE `username` = :username", {
        username,
    }));
    return rows[0].count > 0;
});
exports.isUsernameTaken = isUsernameTaken;
//# sourceMappingURL=registerValidation.js.map